unit RPSSBC;

interface

uses
  Classes, SSBC, RPBase, Graphics;

type
  TRPSSBarCode = class(TSSBarCode)
  public
    procedure PrintBarCode(ReportPrinter: TObject;
                           PrintX,PrintY: double;
                           Height: double);
    procedure CanvasTextOutRotate(Canvas: TCanvas;
                                         TheFont: TFont;
                                         TheX,TheY: integer;
                                         Angle: longint;
                                         Text: string); override;
  end; { TRPSSBarCode }

  procedure Register;

implementation

  procedure Register;

  begin { Register }
    RegisterComponents('Report',[TRPSSBarcode]);
  end;  { Register }

  procedure TRPSSBarCode.CanvasTextOutRotate(Canvas: TCanvas;
                                         TheFont: TFont;
                                         TheX,TheY: integer;
                                         Angle: longint;
                                         Text: string);
  var
    SV : TFont;
  begin
    SV := TFont.Create; SV.Assign(Canvas.Font);
    Canvas.Font.Assign(TheFont);
    {if not Painting then
      TheY := TheY + Canvas.TextHeight(Text);}
    TextOutRotate(Canvas,TheFont,TheX,TheY,Angle,Text);
    Canvas.Font.Assign(SV);
    SV.Free;
  end;

  procedure TRPSSBarCode.PrintBarCode(ReportPrinter: TObject;
                                      PrintX,PrintY: double;
                                      Height: double);

  begin { PrintBarCode }
    With ReportPrinter as TBaseReport do begin
      CodeHeight := Round(YU2I(Height) * YDPI);
      DataBits := CreateDatabits(XDPI);
      AODataBits := CreateAODatabits(XDPI);
      DrawBarCode(Canvas,XU2D(PrintX),YU2D(PrintY),XDPI);
    end; { with }
  end;  { PrintBarCode }


end.
